﻿
'------------------------------------------------------------------------------
' <auto-generated>
'     This code was generated by a tool.
'
'     Changes to this file may cause incorrect behavior and will be lost if
'     the code is regenerated.
' </auto-generated>
'------------------------------------------------------------------------------

Option Strict On
Option Explicit On

Imports __OrderPayment = LightSwitchApplication.OrderPayment

Namespace LightSwitchApplication

    #Region "Entities"
    
    ''' <summary>
    ''' No Modeled Description Available
    ''' </summary>
    <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
    Public NotInheritable Partial Class OrderPayment
        Inherits Global.Microsoft.LightSwitch.Framework.Base.EntityObject(Of __OrderPayment, __OrderPayment.DetailsClass)
    
        #Region "Constructors"
    
        ''' <summary>
        ''' Initializes a new instance of the OrderPayment entity.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New()
            Me.New(Nothing)
        End Sub
    
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Sub New(entitySet As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __OrderPayment))
            MyBase.New(entitySet)
            
            __OrderPayment.DetailsClass.Initialize(Me)
        End Sub
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub OrderPayment_Created()
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub OrderPayment_AllowSaveWithErrors(ByRef result As Boolean)
        End Sub
    
        #End Region
    
        #Region "Private Properties"
        
        ''' <summary>
        ''' Gets the Application object for this application.  The Application object provides access to active screens, methods to open screens and access to the current user.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property Application As Global.Microsoft.LightSwitch.IApplication(Of Global.LightSwitchApplication.DataWorkspace)
            Get
                Return Global.LightSwitchApplication.Application.Current
            End Get
        End Property
        
        ''' <summary>
        ''' Gets the containing data workspace.  The data workspace provides access to all data sources in the application.
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Private ReadOnly Property DataWorkspace As Global.LightSwitchApplication.DataWorkspace
            Get
                Return DirectCast(Me.Details.EntitySet.Details.DataService.Details.DataWorkspace, Global.LightSwitchApplication.DataWorkspace)
            End Get
        End Property
        
        #End Region
    
        #Region "Public Properties"
    
        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Id As Integer
            Get
                Return __OrderPayment.DetailsClass.GetValue(Me, __OrderPayment.DetailsClass.PropertySetProperties.Id)
            End Get
            Set
                __OrderPayment.DetailsClass.SetValue(Me, __OrderPayment.DetailsClass.PropertySetProperties.Id, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Id_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property RowVersion As Byte()
            Get
                Return __OrderPayment.DetailsClass.GetValue(Me, __OrderPayment.DetailsClass.PropertySetProperties.RowVersion)
            End Get
            Set
                __OrderPayment.DetailsClass.SetValue(Me, __OrderPayment.DetailsClass.PropertySetProperties.RowVersion, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub RowVersion_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property PaymentDate As Date
            Get
                Return __OrderPayment.DetailsClass.GetValue(Me, __OrderPayment.DetailsClass.PropertySetProperties.PaymentDate)
            End Get
            Set
                __OrderPayment.DetailsClass.SetValue(Me, __OrderPayment.DetailsClass.PropertySetProperties.PaymentDate, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaymentDate_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaymentDate_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub PaymentDate_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property Amount As Decimal
            Get
                Return __OrderPayment.DetailsClass.GetValue(Me, __OrderPayment.DetailsClass.PropertySetProperties.Amount)
            End Get
            Set
                __OrderPayment.DetailsClass.SetValue(Me, __OrderPayment.DetailsClass.PropertySetProperties.Amount, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Amount_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Amount_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub Amount_Changed()
        End Sub

        ''' <summary>
        ''' No Modeled Description Available
        ''' </summary>
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public Property SalesOrderHeader As Global.LightSwitchApplication.SalesOrderHeader
            Get
                Return __OrderPayment.DetailsClass.GetValue(Me, __OrderPayment.DetailsClass.PropertySetProperties.SalesOrderHeader)
            End Get
            Set
                __OrderPayment.DetailsClass.SetValue(Me, __OrderPayment.DetailsClass.PropertySetProperties.SalesOrderHeader, Value)
            End Set
        End Property
        
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SalesOrderHeader_IsReadOnly(ByRef result As Boolean)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SalesOrderHeader_Validate(ByVal results As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
        End Sub
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Advanced)> _
        Private Partial Sub SalesOrderHeader_Changed()
        End Sub

        #End Region
    
        #Region "Details Class"
    
        <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
        <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
        <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
        <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
        Public NotInheritable Class DetailsClass
            Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of _
                __OrderPayment, _
                __OrderPayment.DetailsClass, _
                __OrderPayment.DetailsClass.IImplementation, _
                __OrderPayment.DetailsClass.PropertySet, _
                Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __OrderPayment, __OrderPayment.DetailsClass), _
                Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __OrderPayment, __OrderPayment.DetailsClass))
    
            Shared Sub New()
                Dim initializeEntry = __OrderPayment.DetailsClass.PropertySetProperties.Id
            End Sub
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private Shared ReadOnly __OrderPaymentEntry As Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __OrderPayment, __OrderPayment.DetailsClass).Entry = _
                New Global.Microsoft.LightSwitch.Details.Framework.Base.EntityDetails(Of __OrderPayment, __OrderPayment.DetailsClass).Entry( _
                    AddressOf __OrderPayment.DetailsClass.__OrderPayment_CreateNew, _
                    AddressOf __OrderPayment.DetailsClass.__OrderPayment_Created, _
                    AddressOf __OrderPayment.DetailsClass.__OrderPayment_AllowSaveWithErrors)
            Private Shared Function __OrderPayment_CreateNew(es As Global.Microsoft.LightSwitch.Framework.EntitySet(Of __OrderPayment)) As __OrderPayment
                Return New __OrderPayment(es)
            End Function
            Private Shared Sub __OrderPayment_Created(e As __OrderPayment)
                e.OrderPayment_Created()
            End Sub
            Private Shared Function __OrderPayment_AllowSaveWithErrors(e As __OrderPayment) As Boolean
                Dim result As Boolean = False
                e.OrderPayment_AllowSaveWithErrors(result)
                Return result
            End Function
    
            Public Sub New()
                MyBase.New()
            End Sub
    
            Public ReadOnly Shadows Property Commands As Global.Microsoft.LightSwitch.Details.Framework.EntityCommandSet(Of __OrderPayment, __OrderPayment.DetailsClass)
                Get
                    Return MyBase.Commands
                End Get
            End Property
    
            Public ReadOnly Shadows Property Methods As Global.Microsoft.LightSwitch.Details.Framework.EntityMethodSet(Of __OrderPayment, __OrderPayment.DetailsClass)
                Get
                    Return MyBase.Methods
                End Get
            End Property
    
            Public ReadOnly Shadows Property Properties As __OrderPayment.DetailsClass.PropertySet
                Get
                    Return MyBase.Properties
                End Get
            End Property
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Public NotInheritable Class PropertySet
                Inherits Global.Microsoft.LightSwitch.Details.Framework.Base.EntityPropertySet(Of __OrderPayment, __OrderPayment.DetailsClass)
    
                Public Sub New()
                    MyBase.New()
                End Sub
    
                Public ReadOnly Property Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Integer)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OrderPayment.DetailsClass.PropertySetProperties.Id),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Integer))
                    End Get
                End Property
                
                Public ReadOnly Property RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Byte())
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OrderPayment.DetailsClass.PropertySetProperties.RowVersion),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Byte()))
                    End Get
                End Property
                
                Public ReadOnly Property PaymentDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Date)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OrderPayment.DetailsClass.PropertySetProperties.PaymentDate),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Date))
                    End Get
                End Property
                
                Public ReadOnly Property Amount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Decimal)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OrderPayment.DetailsClass.PropertySetProperties.Amount),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Decimal))
                    End Get
                End Property
                
                Public ReadOnly Property SalesOrderHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader)
                    Get
                        Return TryCast(
                            MyBase.GetItem(__OrderPayment.DetailsClass.PropertySetProperties.SalesOrderHeader),
                            Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader))
                    End Get
                End Property
                
            End Class
    
            <Global.System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Design", "CA1034:NestedTypesShouldNotBeVisible")> _
            Public Interface IImplementation
                Inherits Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
                Shadows Property Id As Integer
                Shadows Property RowVersion As Byte()
                Shadows Property PaymentDate As Date
                Shadows Property Amount As Decimal
                Shadows Property SalesOrderHeader As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
    
            End Interface
    
            <Global.System.ComponentModel.EditorBrowsable(Global.System.ComponentModel.EditorBrowsableState.Never)> _
            <Global.System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.LightSwitch.BuildTasks.CodeGen", "11.0.0.0")> _
            <Global.System.Diagnostics.DebuggerNonUserCodeAttribute()> _
            Friend Class PropertySetProperties
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Integer).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Integer).Entry( _
                        "Id", _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Id_Stub, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Id_ComputeIsReadOnly, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Id_Validate, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Id_GetImplementationValue, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Id_SetImplementationValue, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Id_OnValueChanged)
                Private Shared Sub _Id_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OrderPayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Integer).Data), d As __OrderPayment.DetailsClass, sf As Object)
                    c(d, d._Id, sf)
                End Sub
                Private Shared Function _Id_ComputeIsReadOnly(e As __OrderPayment) As Boolean
                    Dim result As Boolean = False
                    e.Id_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Id_Validate(e As __OrderPayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Id_Validate(r)
                End Sub
                Private Shared Function _Id_GetImplementationValue(d As __OrderPayment.DetailsClass) As Integer
                    Return d.ImplementationEntity.Id
                End Function
                Private Shared Sub _Id_SetImplementationValue(d As __OrderPayment.DetailsClass, v As Integer)
                    d.ImplementationEntity.Id = v
                End Sub
                Private Shared Sub _Id_OnValueChanged(e As __OrderPayment)
                    e.Id_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Byte()).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Byte()).Entry( _
                        "RowVersion", _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._RowVersion_Stub, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._RowVersion_ComputeIsReadOnly, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._RowVersion_Validate, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._RowVersion_GetImplementationValue, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._RowVersion_SetImplementationValue, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._RowVersion_OnValueChanged)
                Private Shared Sub _RowVersion_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OrderPayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Byte()).Data), d As __OrderPayment.DetailsClass, sf As Object)
                    c(d, d._RowVersion, sf)
                End Sub
                Private Shared Function _RowVersion_ComputeIsReadOnly(e As __OrderPayment) As Boolean
                    Dim result As Boolean = False
                    e.RowVersion_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _RowVersion_Validate(e As __OrderPayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.RowVersion_Validate(r)
                End Sub
                Private Shared Function _RowVersion_GetImplementationValue(d As __OrderPayment.DetailsClass) As Byte()
                    Return d.ImplementationEntity.RowVersion
                End Function
                Private Shared Sub _RowVersion_SetImplementationValue(d As __OrderPayment.DetailsClass, v As Byte())
                    d.ImplementationEntity.RowVersion = v
                End Sub
                Private Shared Sub _RowVersion_OnValueChanged(e As __OrderPayment)
                    e.RowVersion_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly PaymentDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Date).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Date).Entry( _
                        "PaymentDate", _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._PaymentDate_Stub, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._PaymentDate_ComputeIsReadOnly, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._PaymentDate_Validate, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._PaymentDate_GetImplementationValue, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._PaymentDate_SetImplementationValue, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._PaymentDate_OnValueChanged)
                Private Shared Sub _PaymentDate_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OrderPayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Date).Data), d As __OrderPayment.DetailsClass, sf As Object)
                    c(d, d._PaymentDate, sf)
                End Sub
                Private Shared Function _PaymentDate_ComputeIsReadOnly(e As __OrderPayment) As Boolean
                    Dim result As Boolean = False
                    e.PaymentDate_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _PaymentDate_Validate(e As __OrderPayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.PaymentDate_Validate(r)
                End Sub
                Private Shared Function _PaymentDate_GetImplementationValue(d As __OrderPayment.DetailsClass) As Date
                    Return d.ImplementationEntity.PaymentDate
                End Function
                Private Shared Sub _PaymentDate_SetImplementationValue(d As __OrderPayment.DetailsClass, v As Date)
                    d.ImplementationEntity.PaymentDate = __OrderPayment.DetailsClass.TruncateDate(v)
                End Sub
                Private Shared Sub _PaymentDate_OnValueChanged(e As __OrderPayment)
                    e.PaymentDate_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly Amount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Decimal).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Decimal).Entry( _
                        "Amount", _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Amount_Stub, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Amount_ComputeIsReadOnly, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Amount_Validate, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Amount_GetImplementationValue, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Amount_SetImplementationValue, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._Amount_OnValueChanged)
                Private Shared Sub _Amount_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OrderPayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Decimal).Data), d As __OrderPayment.DetailsClass, sf As Object)
                    c(d, d._Amount, sf)
                End Sub
                Private Shared Function _Amount_ComputeIsReadOnly(e As __OrderPayment) As Boolean
                    Dim result As Boolean = False
                    e.Amount_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _Amount_Validate(e As __OrderPayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.Amount_Validate(r)
                End Sub
                Private Shared Function _Amount_GetImplementationValue(d As __OrderPayment.DetailsClass) As Decimal
                    Return d.ImplementationEntity.Amount
                End Function
                Private Shared Sub _Amount_SetImplementationValue(d As __OrderPayment.DetailsClass, v As Decimal)
                    d.ImplementationEntity.Amount = v
                End Sub
                Private Shared Sub _Amount_OnValueChanged(e As __OrderPayment)
                    e.Amount_Changed()
                End Sub
    
                <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
                Public Shared ReadOnly SalesOrderHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Entry = _
                    New Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Entry( _
                        "SalesOrderHeader", _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._SalesOrderHeader_Stub, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._SalesOrderHeader_ComputeIsReadOnly, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._SalesOrderHeader_Validate, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._SalesOrderHeader_GetCoreImplementationValue, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._SalesOrderHeader_GetImplementationValue, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._SalesOrderHeader_SetImplementationValue, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._SalesOrderHeader_Refresh, _
                        AddressOf __OrderPayment.DetailsClass.PropertySetProperties._SalesOrderHeader_OnValueChanged)
                Private Shared Sub _SalesOrderHeader_Stub(c As Global.Microsoft.LightSwitch.Details.Framework.Base.DetailsCallback(Of __OrderPayment.DetailsClass, Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Data), d As __OrderPayment.DetailsClass, sf As Object)
                    c(d, d._SalesOrderHeader, sf)
                End Sub
                Private Shared Function _SalesOrderHeader_ComputeIsReadOnly(e As __OrderPayment) As Boolean
                    Dim result As Boolean = False
                    e.SalesOrderHeader_IsReadOnly(result)
                    Return result
                End Function
                Private Shared Sub _SalesOrderHeader_Validate(e As __OrderPayment, r As Global.Microsoft.LightSwitch.EntityValidationResultsBuilder)
                    e.SalesOrderHeader_Validate(r)
                End Sub
                Private Shared Function _SalesOrderHeader_GetCoreImplementationValue(d as __OrderPayment.DetailsClass) As Global.Microsoft.LightSwitch.Internal.IEntityImplementation
                    Return d.ImplementationEntity.SalesOrderHeader
                End Function
                Private Shared Function _SalesOrderHeader_GetImplementationValue(d as __OrderPayment.DetailsClass) As Global.LightSwitchApplication.SalesOrderHeader
                    Return d.GetImplementationValue(Of Global.LightSwitchApplication.SalesOrderHeader, Global.LightSwitchApplication.SalesOrderHeader.DetailsClass)(__OrderPayment.DetailsClass.PropertySetProperties.SalesOrderHeader, d._SalesOrderHeader)
                End Function
                Private Shared Sub _SalesOrderHeader_SetImplementationValue(d As __OrderPayment.DetailsClass, v As Global.LightSwitchApplication.SalesOrderHeader)
                    d.SetImplementationValue(__OrderPayment.DetailsClass.PropertySetProperties.SalesOrderHeader, d._SalesOrderHeader, Sub(i, ev) i.SalesOrderHeader = ev, v)
                End Sub
                Private Shared Sub _SalesOrderHeader_Refresh(d As __OrderPayment.DetailsClass)
                    d.RefreshNavigationProperty(__OrderPayment.DetailsClass.PropertySetProperties.SalesOrderHeader, d._SalesOrderHeader)
                End Sub
                Private Shared Sub _SalesOrderHeader_OnValueChanged(e As __OrderPayment)
                    e.SalesOrderHeader_Changed()
                End Sub
    
            End Class
    
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Id As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Integer).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _RowVersion As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Byte()).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _PaymentDate As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Date).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _Amount As Global.Microsoft.LightSwitch.Details.Framework.EntityStorageProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Decimal).Data
            
            <Global.System.Diagnostics.DebuggerBrowsable(Global.System.Diagnostics.DebuggerBrowsableState.Never)> _
            Private _SalesOrderHeader As Global.Microsoft.LightSwitch.Details.Framework.EntityReferenceProperty(Of __OrderPayment, __OrderPayment.DetailsClass, Global.LightSwitchApplication.SalesOrderHeader).Data
            
        End Class
    
        #End Region
    
    End Class
    
    #End Region
End Namespace
